import org.omg.CORBA.INTERNAL;

import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int SNUS = nextInt();
        for (int GANG = 0; GANG < SNUS; GANG++) {
            int n = nextInt();
            int m = nextInt();
            int[][] a = new int[n][m];
            int cnt = 1;
            int all_sum = 0;
            for (int i = 0; i < n; i++) {
                for (int j = 0; j < m; j++) {
                    a[i][j] = cnt;
                    all_sum += cnt;
                    cnt++;
                }
            }
            long[] sum_str = new long[n];
            long[] sum_st = new long[m];
            for (int i = 0; i < n; i++) {
                long sum = 0;
                for (int j = 0; j < m; j++) {
                    sum += a[i][j];
                }
                sum_str[i] = sum;
                if (i != 0) sum_str[i] += sum_str[i - 1];
            }
            for (int i = 0; i < m; i++) {
                long sum = 0;
                for (int j = 0; j < n; j++) {
                    sum += a[j][i];
                }
                sum_st[i] = sum;
                if (i != 0) sum_st[i] += sum_st[i - 1];
            }
            int ind1 = -1;
            long best1 = Long.MAX_VALUE;
            for (int i = 0; i < n; i++) {
                if (Math.abs(sum_str[i] - (all_sum - sum_str[i])) < best1) {
                    best1 = Math.abs(sum_str[i] - (all_sum - sum_str[i]));
                    ind1 = i;
                }
            }
            long best2 = Long.MAX_VALUE;
            int ind2 = -1;
            for (int i = 0; i < m; i++) {
                if(Math.abs(sum_st[i] - (all_sum - sum_st[i])) < best2){
                    best2 = Math.abs(sum_st[i] - (all_sum - sum_st[i]));
                    ind2 = i;
                }
            }
            if(best1 < best2){
                out.println("H " + (ind1 + 2));
            }else out.println("V " + (ind2 + 2));
        }
        out.close();
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}