import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        String s = nextToken();
        int n = s.length();
        int nastr = nextInt();
        char[] p = new char[n + 1];
        for (int i = 1; i < n + 1; i++) {
            p[i] = s.charAt(i - 1);
        }
        p[0] = '0';
        while (true) {
            boolean[] have = new boolean[10];
            int cnt = 0;
            if (p[0] != '0') {
                cnt++;
                have[p[0] - '0'] = true;
            }
            for (int i = 1; i < n + 1; i++) {
                if (!have[p[i] - '0']) {
                    have[p[i] - '0'] = true;
                    cnt++;
                }
            }
            if (nastr == 0 && cnt == 1) {
                if (p[0] != '0') out.print(p[0]);
                for (int i = 1; i < n + 1; i++) {
                    out.print(p[i]);
                }
                out.close();
                System.exit(0);
            }
            int ind = n;
            while (p[ind] == '9') {
                p[ind] = '0';
                ind--;
            }
            p[ind] = (char) (p[ind] + 1);
        }
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");


    public static String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}